Skip to main content
POST
/
v2
/
redpacket
/
{chain}
/
claim
RedPacket - Claim
curl --request POST \
  --url https://api.dex.chainstream.io/v2/redpacket/{chain}/claim \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "claimer": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "packetId": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "password": "123456",
  "shareId": "abc123"
}
'
{
  "txSerialize": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg..."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc

Body

application/json

DTO.RED_PACKET.CLAIMER

claimer
string
required

DTO.RED_PACKET.CLAIMER

Example:

"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"

packetId
string | null

DTO.RED_PACKET.PACKET_ID

Example:

"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"

password
string | null

DTO.RED_PACKET.PASSWORD

Example:

"123456"

shareId
string | null

DTO.RED_PACKET.SHARE_ID

Example:

"abc123"

Response

200 - application/json

Successful response

Claim red packet response

txSerialize
string
required

DTO.RED_PACKET.SERIALIZED_TX

Example:

"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg..."